<?php

namespace App\Controller;

use App\Traits\JsonResponseTrait;
use App\Repository\CountryRepository;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

class CountryController extends AbstractController
{
    use JsonResponseTrait;

    public function __construct(private CountryRepository $countryRepository) {
    }

    #[Route('/api/country', methods: ["GET"])]
    public function index()
    {
        $countries = $this->countryRepository->findAllFlat();
        //dd($countries);
        return $this->ok($countries);
    }
}
